Page MenuHomePhabricator

Added a TanOp to SPIR-V dialect GLSL ops
ClosedPublic

Authored by georgemitenkov on May 18 2020, 12:37 PM.

Details

Summary

Implemented tangent op from SPIR-V's GLSL extended instruction set. Added a round-trip and
serialization/deserialization tests for the op.

Diff Detail

Event Timeline

Herald added a project: Restricted Project. · View Herald TranscriptMay 18 2020, 12:37 PM
antiagainst accepted this revision.May 19 2020, 6:07 AM

Awesome, thanks George!

This revision is now accepted and ready to land.May 19 2020, 6:07 AM
This revision was automatically updated to reflect the committed changes.

I believe this change broke the build on the Windows VS2017 buildbot, http://lab.llvm.org:8011/builders/mlir-windows/builds/2042. It's not obvious to me why it would generate deeply nested code. Any thoughts? Thanks!

1087.331 [396/64/2396] Building CXX object tools\mlir\lib\Dialect\SPIRV\Serialization\CMakeFiles\obj.MLIRSPIRVSerialization.dir\Serializer.cpp.obj
FAILED: tools/mlir/lib/Dialect/SPIRV/Serialization/CMakeFiles/obj.MLIRSPIRVSerialization.dir/Serializer.cpp.obj 
C:\PROGRA~2\MICROS~1\2017\COMMUN~1\VC\Tools\MSVC\1416~1.270\bin\Hostx64\x64\cl.exe  /nologo /TP -DBUILD_EXAMPLES -DGTEST_HAS_RTTI=0 -DMLIR_CUDA_CONVERSIONS_ENABLED=1 -DUNICODE -D_CRT_NONSTDC_NO_DEPRECATE -D_CRT_NONSTDC_NO_WARNINGS -D_CRT_SECURE_NO_DEPRECATE -D_CRT_SECURE_NO_WARNINGS -D_HAS_EXCEPTIONS=0 -D_SCL_SECURE_NO_DEPRECATE -D_SCL_SECURE_NO_WARNINGS -D_UNICODE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -Itools\mlir\lib\Dialect\SPIRV\Serialization -IE:\build_slave\mlir-x64-windows-ninja\llvm-project\mlir\lib\Dialect\SPIRV\Serialization -Iinclude -IE:\build_slave\mlir-x64-windows-ninja\llvm-project\llvm\include -IE:\build_slave\mlir-x64-windows-ninja\llvm-project\mlir\include -Itools\mlir\include /DWIN32 /D_WINDOWS   /Zc:inline /Zc:strictStrings /Oi /Zc:rvalueCast /W4 -wd4141 -wd4146 -wd4244 -wd4267 -wd4291 -wd4351 -wd4456 -wd4457 -wd4458 -wd4459 -wd4503 -wd4624 -wd4722 -wd4100 -wd4127 -wd4512 -wd4505 -wd4610 -wd4510 -wd4702 -wd4245 -wd4706 -wd4310 -wd4701 -wd4703 -wd4389 -wd4611 -wd4805 -wd4204 -wd4577 -wd4091 -wd4592 -wd4319 -wd4709 -wd4324 -w14062 -we4238 /Gw /MD /O2 /Ob2    /EHs-c- /GR- -UNDEBUG -std:c++14 /showIncludes /Fotools\mlir\lib\Dialect\SPIRV\Serialization\CMakeFiles\obj.MLIRSPIRVSerialization.dir\Serializer.cpp.obj /Fdtools\mlir\lib\Dialect\SPIRV\Serialization\CMakeFiles\obj.MLIRSPIRVSerialization.dir\ /FS -c E:\build_slave\mlir-x64-windows-ninja\llvm-project\mlir\lib\Dialect\SPIRV\Serialization\Serializer.cpp
tools\mlir\include\mlir/Dialect/SPIRV/SPIRVSerialization.inc(4334): fatal error C1061: compiler limit: blocks nested too deeply